FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Redhat > Fedora Directory

 
 
LinkBack Thread Tools
 
Old 10-14-2010, 08:34 PM
Robert Viduya
 
Default replication between 1.2.2 and 1.2.6.1

Can we expect replication between 1.2.2 and 1.2.6.1 to work? I'm trying to set up MMR between two servers running the two different versions and the 1.2.6.1 master is failing with the following message in it's errors log:

[14/Oct/2010:16:26:19 -0400] NSMMReplicationPlugin - agmt="cn=people moulin stefan" (stefan:636): Unable to parse the response to the startReplication extended operation. Replication is aborting.
[14/Oct/2010:16:26:19 -0400] NSMMReplicationPlugin - agmt="cn=people moulin stefan" (stefan:636): Incremental update failed and requires administrator action

The corresponding messages in the 1.2.2 master's access file show:

[14/Oct/2010:16:26:19 -0400] conn=139 fd=65 slot=65 SSL connection from 130.207.183.16 to 130.207.183.14
[14/Oct/2010:16:26:19 -0400] conn=139 op=0 BIND dn="cn=Replication Manager,cn=config" method=128 version=3
[14/Oct/2010:16:26:19 -0400] conn=139 op=0 RESULT err=0 tag=97 nentries=0 etime=0 dn="cn=replication manager,cn=config"
[14/Oct/2010:16:26:19 -0400] conn=139 op=1 SRCH base="" scope=0 filter="(objectClass=*)" attrs="supportedControl supportedExtension"
[14/Oct/2010:16:26:19 -0400] conn=139 op=1 RESULT err=0 tag=101 nentries=1 etime=0
[14/Oct/2010:16:26:19 -0400] conn=139 op=2 SRCH base="" scope=0 filter="(objectClass=*)" attrs="supportedControl supportedExtension"
[14/Oct/2010:16:26:19 -0400] conn=139 op=2 RESULT err=0 tag=101 nentries=1 etime=0
[14/Oct/2010:16:26:19 -0400] conn=139 op=3 SRCH base="" scope=0 filter="(objectClass=*)" attrs="supportedControl supportedExtension"
[14/Oct/2010:16:26:19 -0400] conn=139 op=3 RESULT err=0 tag=101 nentries=1 etime=0
[14/Oct/2010:16:26:19 -0400] conn=139 op=4 EXT oid="2.16.840.1.113730.3.5.12"
[14/Oct/2010:16:26:19 -0400] conn=139 op=4 RESULT err=2 tag=120 nentries=0 etime=0
[14/Oct/2010:16:27:19 -0400] conn=139 op=5 UNBIND
[14/Oct/2010:16:27:19 -0400] conn=139 op=5 fd=65 closed - U1

I looked up oid 2.16.840.1.113730.3.5.12 and it's apparently new for hooking plugins into the replication process. I just skimmed the 1.2.6.1 source code and it appears that there's logic to detect if the remote server supports it. Is that the intent and it's bugged or is replication between the two version just not supposed to work?
--
389 users mailing list
389-users@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/389-users
 
Old 10-14-2010, 09:15 PM
"Edward Z. Yang"
 
Default replication between 1.2.2 and 1.2.6.1

Excerpts from Robert Viduya's message of Thu Oct 14 16:34:19 -0400 2010:
> Can we expect replication between 1.2.2 and 1.2.6.1 to work? I'm trying to
> set up MMR between two servers running the two different versions and the
> 1.2.6.1 master is failing with the following message in it's errors log:
>
> [14/Oct/2010:16:26:19 -0400] NSMMReplicationPlugin - agmt="cn=people moulin
> stefan" (stefan:636): Unable to parse the response to the startReplication
> extended operation. Replication is aborting. [14/Oct/2010:16:26:19 -0400]
> NSMMReplicationPlugin - agmt="cn=people moulin stefan" (stefan:636):
> Incremental update failed and requires administrator action

I reported a similar issue between 1.2.5 and 1.2.6, but for me the error
was intermittent.

Edward
--
389 users mailing list
389-users@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/389-users
 
Old 10-14-2010, 09:25 PM
Nathan Kinder
 
Default replication between 1.2.2 and 1.2.6.1

On 10/14/2010 01:34 PM, Robert Viduya wrote:
> Can we expect replication between 1.2.2 and 1.2.6.1 to work? I'm trying to set up MMR between two servers running the two different versions and the 1.2.6.1 master is failing with the following message in it's errors log:
>
> [14/Oct/2010:16:26:19 -0400] NSMMReplicationPlugin - agmt="cn=people moulin stefan" (stefan:636): Unable to parse the response to the startReplication extended operation. Replication is aborting.
> [14/Oct/2010:16:26:19 -0400] NSMMReplicationPlugin - agmt="cn=people moulin stefan" (stefan:636): Incremental update failed and requires administrator action
>
> The corresponding messages in the 1.2.2 master's access file show:
>
> [14/Oct/2010:16:26:19 -0400] conn=139 fd=65 slot=65 SSL connection from 130.207.183.16 to 130.207.183.14
> [14/Oct/2010:16:26:19 -0400] conn=139 op=0 BIND dn="cn=Replication Manager,cn=config" method=128 version=3
> [14/Oct/2010:16:26:19 -0400] conn=139 op=0 RESULT err=0 tag=97 nentries=0 etime=0 dn="cn=replication manager,cn=config"
> [14/Oct/2010:16:26:19 -0400] conn=139 op=1 SRCH base="" scope=0 filter="(objectClass=*)" attrs="supportedControl supportedExtension"
> [14/Oct/2010:16:26:19 -0400] conn=139 op=1 RESULT err=0 tag=101 nentries=1 etime=0
> [14/Oct/2010:16:26:19 -0400] conn=139 op=2 SRCH base="" scope=0 filter="(objectClass=*)" attrs="supportedControl supportedExtension"
> [14/Oct/2010:16:26:19 -0400] conn=139 op=2 RESULT err=0 tag=101 nentries=1 etime=0
> [14/Oct/2010:16:26:19 -0400] conn=139 op=3 SRCH base="" scope=0 filter="(objectClass=*)" attrs="supportedControl supportedExtension"
> [14/Oct/2010:16:26:19 -0400] conn=139 op=3 RESULT err=0 tag=101 nentries=1 etime=0
> [14/Oct/2010:16:26:19 -0400] conn=139 op=4 EXT oid="2.16.840.1.113730.3.5.12"
> [14/Oct/2010:16:26:19 -0400] conn=139 op=4 RESULT err=2 tag=120 nentries=0 etime=0
> [14/Oct/2010:16:27:19 -0400] conn=139 op=5 UNBIND
> [14/Oct/2010:16:27:19 -0400] conn=139 op=5 fd=65 closed - U1
>
> I looked up oid 2.16.840.1.113730.3.5.12 and it's apparently new for hooking plugins into the replication process. I just skimmed the 1.2.6.1 source code and it appears that there's logic to detect if the remote server supports it. Is that the intent and it's bugged or is replication between the two version just not supposed to work?
>
The 1.2.6.1 instance should detect that the 1.2.2 version does not
support the newer startReplication extop. This detection is done by
searching the rootDSE of the receiving side to see if it advertises
2.16.840.1.113730.3.5.12 as a supportedExtension. The code is designed
to send the old style startReplication extop if it detects that the
newer style is not supported.

I would like to see the rootDSE entry from the 1.2.2 system.

-NGK
> --
> 389 users mailing list
> 389-users@lists.fedoraproject.org
> https://admin.fedoraproject.org/mailman/listinfo/389-users
>

--
389 users mailing list
389-users@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/389-users
 
Old 10-15-2010, 03:19 PM
Robert Viduya
 
Default replication between 1.2.2 and 1.2.6.1

On Oct 14, 2010, at 5:25 PM, Nathan Kinder wrote:

> The 1.2.6.1 instance should detect that the 1.2.2 version does not support the newer startReplication extop. This detection is done by searching the rootDSE of the receiving side to see if it advertises 2.16.840.1.113730.3.5.12 as a supportedExtension. The code is designed to send the old style startReplication extop if it detects that the newer style is not supported.
>
> I would like to see the rootDSE entry from the 1.2.2 system.

dn:
objectClass: top
namingContexts: dc=gted,dc=gatech,dc=edu
namingContexts: o=netscaperoot
supportedExtension: 2.16.840.1.113730.3.5.7
supportedExtension: 2.16.840.1.113730.3.5.8
supportedExtension: 2.16.840.1.113730.3.5.10
supportedExtension: 2.16.840.1.113730.3.5.3
supportedExtension: 2.16.840.1.113730.3.5.5
supportedExtension: 2.16.840.1.113730.3.5.6
supportedExtension: 2.16.840.1.113730.3.5.9
supportedExtension: 2.16.840.1.113730.3.5.4
supportedExtension: 1.3.6.1.4.1.1466.20037
supportedExtension: 1.3.6.1.4.1.4203.1.11.1
supportedControl: 2.16.840.1.113730.3.4.2
supportedControl: 2.16.840.1.113730.3.4.3
supportedControl: 2.16.840.1.113730.3.4.4
supportedControl: 2.16.840.1.113730.3.4.5
supportedControl: 1.2.840.113556.1.4.473
supportedControl: 2.16.840.1.113730.3.4.9
supportedControl: 2.16.840.1.113730.3.4.16
supportedControl: 2.16.840.1.113730.3.4.15
supportedControl: 2.16.840.1.113730.3.4.17
supportedControl: 2.16.840.1.113730.3.4.19
supportedControl: 1.3.6.1.4.1.42.2.27.8.5.1
supportedControl: 1.3.6.1.4.1.42.2.27.9.5.2
supportedControl: 1.2.840.113556.1.4.319
supportedControl: 1.3.6.1.4.1.4203.666.5.16
supportedControl: 2.16.840.1.113730.3.4.14
supportedControl: 2.16.840.1.113730.3.4.20
supportedControl: 1.3.6.1.4.1.1466.29539.12
supportedControl: 2.16.840.1.113730.3.4.12
supportedControl: 2.16.840.1.113730.3.4.18
supportedControl: 2.16.840.1.113730.3.4.13
supportedSASLMechanisms: EXTERNAL
supportedSASLMechanisms: LOGIN
supportedSASLMechanisms: DIGEST-MD5
supportedSASLMechanisms: PLAIN
supportedSASLMechanisms: ANONYMOUS
supportedSASLMechanisms: CRAM-MD5
supportedSASLMechanisms: GSSAPI
supportedLDAPVersion: 2
supportedLDAPVersion: 3
vendorName: 389 Project
vendorVersion: 389-Directory/1.2.2 B2009.237.2054
dataversion: 02010101515175702010101515175702010101515175702010 1015151757
netscapemdsuffix: cn=ldap://dc=stefan,dc=iam,dc=gatech,dc=edu:389

--
389 users mailing list
389-users@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/389-users
 
Old 10-18-2010, 02:36 PM
Robert Viduya
 
Default replication between 1.2.2 and 1.2.6.1

A quick grep through the code shows that repl90consumer (a field of Private_Repl_Protocol struct) is never initialized to zero. Neither is field repl71consumer, but field repl50consumer is initialized to zero in Repl_5_Inc_Protocol_new.

On Oct 15, 2010, at 11:19 AM, Robert Viduya wrote:

>
> On Oct 14, 2010, at 5:25 PM, Nathan Kinder wrote:
>
>> The 1.2.6.1 instance should detect that the 1.2.2 version does not support the newer startReplication extop. This detection is done by searching the rootDSE of the receiving side to see if it advertises 2.16.840.1.113730.3.5.12 as a supportedExtension. The code is designed to send the old style startReplication extop if it detects that the newer style is not supported.
>>
>> I would like to see the rootDSE entry from the 1.2.2 system.
>
> dn:
> objectClass: top
> namingContexts: dc=gted,dc=gatech,dc=edu
> namingContexts: o=netscaperoot
> supportedExtension: 2.16.840.1.113730.3.5.7
> supportedExtension: 2.16.840.1.113730.3.5.8
> supportedExtension: 2.16.840.1.113730.3.5.10
> supportedExtension: 2.16.840.1.113730.3.5.3
> supportedExtension: 2.16.840.1.113730.3.5.5
> supportedExtension: 2.16.840.1.113730.3.5.6
> supportedExtension: 2.16.840.1.113730.3.5.9
> supportedExtension: 2.16.840.1.113730.3.5.4
> supportedExtension: 1.3.6.1.4.1.1466.20037
> supportedExtension: 1.3.6.1.4.1.4203.1.11.1
> supportedControl: 2.16.840.1.113730.3.4.2
> supportedControl: 2.16.840.1.113730.3.4.3
> supportedControl: 2.16.840.1.113730.3.4.4
> supportedControl: 2.16.840.1.113730.3.4.5
> supportedControl: 1.2.840.113556.1.4.473
> supportedControl: 2.16.840.1.113730.3.4.9
> supportedControl: 2.16.840.1.113730.3.4.16
> supportedControl: 2.16.840.1.113730.3.4.15
> supportedControl: 2.16.840.1.113730.3.4.17
> supportedControl: 2.16.840.1.113730.3.4.19
> supportedControl: 1.3.6.1.4.1.42.2.27.8.5.1
> supportedControl: 1.3.6.1.4.1.42.2.27.9.5.2
> supportedControl: 1.2.840.113556.1.4.319
> supportedControl: 1.3.6.1.4.1.4203.666.5.16
> supportedControl: 2.16.840.1.113730.3.4.14
> supportedControl: 2.16.840.1.113730.3.4.20
> supportedControl: 1.3.6.1.4.1.1466.29539.12
> supportedControl: 2.16.840.1.113730.3.4.12
> supportedControl: 2.16.840.1.113730.3.4.18
> supportedControl: 2.16.840.1.113730.3.4.13
> supportedSASLMechanisms: EXTERNAL
> supportedSASLMechanisms: LOGIN
> supportedSASLMechanisms: DIGEST-MD5
> supportedSASLMechanisms: PLAIN
> supportedSASLMechanisms: ANONYMOUS
> supportedSASLMechanisms: CRAM-MD5
> supportedSASLMechanisms: GSSAPI
> supportedLDAPVersion: 2
> supportedLDAPVersion: 3
> vendorName: 389 Project
> vendorVersion: 389-Directory/1.2.2 B2009.237.2054
> dataversion: 02010101515175702010101515175702010101515175702010 1015151757
> netscapemdsuffix: cn=ldap://dc=stefan,dc=iam,dc=gatech,dc=edu:389
>
> --
> 389 users mailing list
> 389-users@lists.fedoraproject.org
> https://admin.fedoraproject.org/mailman/listinfo/389-users

--
389 users mailing list
389-users@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/389-users
 
Old 10-18-2010, 02:51 PM
Nathan Kinder
 
Default replication between 1.2.2 and 1.2.6.1

On 10/18/2010 07:36 AM, Robert Viduya wrote:
> A quick grep through the code shows that repl90consumer (a field of Private_Repl_Protocol struct) is never initialized to zero. Neither is field repl71consumer, but field repl50consumer is initialized to zero in Repl_5_Inc_Protocol_new.
>
Good catch. Please open up a bug on this and I'll get it addressed.

-NGK
> On Oct 15, 2010, at 11:19 AM, Robert Viduya wrote:
>
>
>> On Oct 14, 2010, at 5:25 PM, Nathan Kinder wrote:
>>
>>
>>> The 1.2.6.1 instance should detect that the 1.2.2 version does not support the newer startReplication extop. This detection is done by searching the rootDSE of the receiving side to see if it advertises 2.16.840.1.113730.3.5.12 as a supportedExtension. The code is designed to send the old style startReplication extop if it detects that the newer style is not supported.
>>>
>>> I would like to see the rootDSE entry from the 1.2.2 system.
>>>
>> dn:
>> objectClass: top
>> namingContexts: dc=gted,dc=gatech,dc=edu
>> namingContexts: o=netscaperoot
>> supportedExtension: 2.16.840.1.113730.3.5.7
>> supportedExtension: 2.16.840.1.113730.3.5.8
>> supportedExtension: 2.16.840.1.113730.3.5.10
>> supportedExtension: 2.16.840.1.113730.3.5.3
>> supportedExtension: 2.16.840.1.113730.3.5.5
>> supportedExtension: 2.16.840.1.113730.3.5.6
>> supportedExtension: 2.16.840.1.113730.3.5.9
>> supportedExtension: 2.16.840.1.113730.3.5.4
>> supportedExtension: 1.3.6.1.4.1.1466.20037
>> supportedExtension: 1.3.6.1.4.1.4203.1.11.1
>> supportedControl: 2.16.840.1.113730.3.4.2
>> supportedControl: 2.16.840.1.113730.3.4.3
>> supportedControl: 2.16.840.1.113730.3.4.4
>> supportedControl: 2.16.840.1.113730.3.4.5
>> supportedControl: 1.2.840.113556.1.4.473
>> supportedControl: 2.16.840.1.113730.3.4.9
>> supportedControl: 2.16.840.1.113730.3.4.16
>> supportedControl: 2.16.840.1.113730.3.4.15
>> supportedControl: 2.16.840.1.113730.3.4.17
>> supportedControl: 2.16.840.1.113730.3.4.19
>> supportedControl: 1.3.6.1.4.1.42.2.27.8.5.1
>> supportedControl: 1.3.6.1.4.1.42.2.27.9.5.2
>> supportedControl: 1.2.840.113556.1.4.319
>> supportedControl: 1.3.6.1.4.1.4203.666.5.16
>> supportedControl: 2.16.840.1.113730.3.4.14
>> supportedControl: 2.16.840.1.113730.3.4.20
>> supportedControl: 1.3.6.1.4.1.1466.29539.12
>> supportedControl: 2.16.840.1.113730.3.4.12
>> supportedControl: 2.16.840.1.113730.3.4.18
>> supportedControl: 2.16.840.1.113730.3.4.13
>> supportedSASLMechanisms: EXTERNAL
>> supportedSASLMechanisms: LOGIN
>> supportedSASLMechanisms: DIGEST-MD5
>> supportedSASLMechanisms: PLAIN
>> supportedSASLMechanisms: ANONYMOUS
>> supportedSASLMechanisms: CRAM-MD5
>> supportedSASLMechanisms: GSSAPI
>> supportedLDAPVersion: 2
>> supportedLDAPVersion: 3
>> vendorName: 389 Project
>> vendorVersion: 389-Directory/1.2.2 B2009.237.2054
>> dataversion: 02010101515175702010101515175702010101515175702010 1015151757
>> netscapemdsuffix: cn=ldap://dc=stefan,dc=iam,dc=gatech,dc=edu:389
>>
>> --
>> 389 users mailing list
>> 389-users@lists.fedoraproject.org
>> https://admin.fedoraproject.org/mailman/listinfo/389-users
>>
> --
> 389 users mailing list
> 389-users@lists.fedoraproject.org
> https://admin.fedoraproject.org/mailman/listinfo/389-users
>

--
389 users mailing list
389-users@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/389-users
 

Thread Tools




All times are GMT. The time now is 06:27 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org